f/**
* @Author Sean
* @Date 2019/4/23
*/
<template>
  <h-view class="public-style" style="height: 100%" title="名片识别">
    <h-content>
      <list-item>
        <item>
          <div slot="name">姓名</div>
          <div slot="content">\{{ bp_info.bp_name }}</div>
        </item>
      </list-item>
      <list-item>
        <item>
          <div slot="name">手机号</div>
          <div slot="content">\{{ bp_info.cell_phone }}</div>
        </item>
        <item>
          <div slot="name">职务</div>
          <div slot="content">\{{ bp_info.position }}</div>
        </item>
        <item>
          <div slot="name">单位</div>
          <div slot="content">\{{ bp_info.work_unit }}</div>
        </item>
        <item>
          <div slot="name">单位地址</div>
          <div slot="content">\{{ bp_info.work_unit_address }}</div>
        </item>
        <item>
          <div slot="name">单位电话</div>
          <div slot="content">\{{ bp_info.work_unit_phone }}</div>
        </item>
        <item>
          <div slot="name">邮箱</div>
          <div slot="content">\{{ bp_info.email }}</div>
        </item>
      </list-item>
    </h-content>
    <bottom-tab>
      <tab-button @click.native="openShow" >
        识别
      </tab-button>
    </bottom-tab>
  </h-view>
</template>

<script>
  export default {
    data() {
      return {
        bp_info: {
          bp_name: '',
          cell_phone: '',
          position: '',
          work_unit: '',
          work_unit_address: '',
          work_unit_phone: '',
          email: ''
        },
      }
    },
    created: function () {
    },
    mounted: function () {
    },
    updated: function () {
    },
    destroyed: function () {
    },
    methods: {
      // 打开sheet操作
      openShow (checkId) {
        let vm = this
        wx.chooseImage({
          count: 1, // 微信最多能选择9张图片
          sizeType: ['original', 'compressed'], // 可以指定是原图还是压缩图，默认二者都有
          sourceType: ['album', 'camera'], // 可以指定来源是相册还是相机，默认二者都有
          success: function (data) {
            hlsPopup.showLoading('请稍候')
            vm.localIds = data.localIds // 返回选定照片的本地ID列表，localId可以作为img标签的src属性显示图片
            /*   data.localIds.forEach((localId, index) => {
                 wx.getLocalImgData({
                   localId: localId, // 图片的localID
                   alert('localId '+ localId)
                   success: function (res) {
                     vm.getHanwanyun(res.localData);
                     alert('路径 '+res.localData)
                   },
                 })
               })*/
            vm.wxImageUpload()
          },
        })
      },
      // 图片上传到微信服务器
      wxImageUpload () {
        let vm = this
        let localId = vm.localIds.pop()
        wx.uploadImage({
          localId: localId, // 需要上传的图片的本地ID，由chooseImage接口获得
          isShowProgressTips: 0, // 默认为1，显示进度提示
          success: function (res) {

            /* else {
               hlsPopup.hideLoading()
               hlsPopup.showLongCenter('图片上传成功')
             }*/
            vm.getHanwanyun(res.serverId)

          },
        })
      },
      //识别
      getHanwanyun(serverId) {
        let vm = this
        let url = process.env.rootPath + '/havon/media' + '?index=' + serverId
        let param = {
          'wechatCode': process.env.wxCode,
          'mediaId': serverId,
          'sysName': 'HLS_HANVON',
          'apiName': 'hanvon_bcard',
        }
        hlsHttp.post(url, param).then(function (res) {
          hlsPopup.hideLoading();
          if (res.name) {
            vm.bp_info.bp_name = res.name[0]
          }
          if (res.mobile) {
            vm.bp_info.cell_phone = res.mobile[0];
          }
          if (res.title) {
            vm.bp_info.position = res.title[0];
          }
          if (res.addr) {
            vm.bp_info.work_unit_address = res.addr[0];
          }
          if (res.comp) {
            vm.bp_info.work_unit = res.comp[0];
          }
          if (res.email) {
            vm.bp_info.email = res.email[0];
          }
          if (res.tel) {
            vm.bp_info.work_unit_phone = res.tel[0];
          }

        });
      },
    }
  }
</script>

<style scoped lang="less" rel="stylesheet">
  .public-style {
    .content {

    }
  }
</style>
